///////////////////////////////////////////////////////////
// Complex FIR Filter example for Xilinx MicroBlaze FSL
// 
// Created by Bruce Karsten of Xilinx (bruce.karsten@xilinx.com)
//

#ifndef MB_IDEN_FILTER_H  /* prevent circular inclusions */
#define MB_IDEN_FILTER_H  /* by using protection macros */

#include "co.h"

//#define		NUM_SAMPS_IN_SLOT	2880
//#define		IF_FILT_LEN			432
#define		NUM_SAMPS_IN_SLOT	2880
#define		IF_FILT_LEN			432
#define		NUM_SLOTS			2

struct complex_fixed {
	int32	real;
	int32	imag;
};

#endif            /* end of protection macro */

