/*********************************************************************
* Copyright (c) 2003, Impulse Accelerated Technologies, Inc.
* All Rights Reserved.
*
* co_stream.c: Stream functions.
*
* $Id: co_stream.c,v 1.4 2004/12/06 14:49:45 CVSUSER Exp $
*
*********************************************************************/

#include "co.h"

#include <malloc.h>
#include <string.h>

co_stream co_stream_create(char * name, co_type datatype, int buffer_depth)
{
	co_stream stream = malloc(sizeof(co_stream_t));	
	if ( stream != NULL ) {
		stream->name = strdup(name);
		stream->datatype = datatype;
		stream->buffer_depth = buffer_depth;
		stream->direction = CO_NO_DIRECTION;
		stream->io_addr = 0;
	} else co_msg_print("malloc failed!");
	return stream;
}

void co_stream_attach(co_stream stream, int io_addr, co_stream_direction dir)

{
  stream->io_addr=io_addr;
  stream->direction=dir;
}

