#!/bin/sh

rm -rf xst

echo "xst -ifn "fsl_filt_0_wrapper_xst.scr" -intstyle silent"

echo "Running XST synthesis ..."

xst -ifn "fsl_filt_0_wrapper_xst.scr" -intstyle silent
if [ $? -ne 0 ]; then
	exit 1
fi

echo "XST completed"

rm -rf xst

cd ../implementation/fsl_filt_0_wrapper
mv ../fsl_filt_0_wrapper.ngc .
ngcbuild fsl_filt_0_wrapper.ngc ../fsl_filt_0_wrapper.ngc
if [ $? -ne 0 ]; then
	exit 1
fi

cd ../../synthesis

echo "xst -ifn "system_xst.scr" -intstyle silent"

echo "Running XST synthesis ..."

xst -ifn "system_xst.scr" -intstyle silent
if [ $? -ne 0 ]; then
	exit 1
fi

echo "XST completed"

rm -rf xst
